Introduction

PRESS (Password Randomizer with Encrypted Storage System) v4.1 is a password manager with flexibility in password generation for strong passwords for your various websites and accounts. Your passwords are stored in an AES 256 encrypted password vault that is stored locally, on a local network drive or on Microsoft's OneDrive.

You only have one master password to remember to access all of your websites and all your passwords can be strong and unique to each website for greater security.

Copyright © 2021 by Horvath Software Solutions. All Rights Reserved.


Welcome

Introduction ››

Thank you for downloading and installing our password manager application! We believe that our application will give you greater security for all your website accounts. PRESS has a easy to use interface that is fully accessible to vision impaired users. It is our goal that you not need help in using PRESS, but should you need help all your questions can be answered in this help document.

You will find in this document help with all the features of PRESS and tables with all the keyboard shortcuts and helpful hints in using PRESS to its fullest.

Thank you again for using our application and happy, secure web browsing and Internet access!


What's new

Introduction ››

PRESS v4.1 is a feature rich password manager that can handle a wide range of websites. Our password manager can be configured to fully automate login to websites and can automate password changes on these same websites.

We are constantly working to improve PRESS's usability. Any new improvements will be detailed in this help topic.

PRESS v4.1 introduces a new Website Learner Advanced mode script editor. This improvement to Advanced edit mode will make it easy to edit login and change automation macros.

PRESS v4.1 also has an updated Website Learner. This has been updated to provide a more modern browser which supports most if not all websites as of this revision date. The interface has been simplified to make creating automation macros easier to do.

PRESS v4.1 added the Navigate step action support. This macro action is provided to assist in build macros especially change password macros to give a shortcut way of navigating to the page where change password controls are located.

Please check here for future updates to PRESS to quickly see what is new in a new release of PRESS.


Getting Started

This help topic should give you a quick start overview. For more advanced help, check out the help topic related to your question.

Note the screen snapshots contained in this manual are intended as visual aids. The actual screens may vary slightly from what is pictured in the manual, but all the functionality of the application works as described in the text.

The very first time you use this application the following screen will be displayed.

Note that the password field is disabled the first time because your user specific password vault file has not been created yet. To do this simply enter your new master password for your password vault and repeat it to confirm that new password then click the Save New button.

The password vault file name is hard coded to be PasswordVault.pvm but the path where this file is stored is specific to your Windows user login id. That path is C:\Users\<UserID>\AppData\Roaming\HSS\PRESS\PasswordVault.pvm.

We recommend that you make backups of this .pvm file on separate media. Also a word of caution when you make your master password be sure you will be able to remember this master password because if you lose or forget your password you will be unable to open the vault file and will have to start over by deleting or renaming the vault file for which you've forgotten the password.

Note the master password is not stored on your PC or anywhere else it is only in PC memory for each session to decrypt/encrypt your password vault file. (Unless you choose to use a .pvmkey file for easy access to your vault. Please see description later in this manual.)

The following screen snapshot shows the normal login screen you will see each time you use the application after initial setup.

This screen will allow you to change your master password if you desire by typing in a new password and repeating it for confirmation. You must enter your correct current password to complete this.

Included in PRESS you may optionally install the application on a network drive or removable flash drive. This will allow you to share your password vault on more than one PC. Also for PCs where PRESS is not installed but you have access to drive where the PRESS.exe file is located you may run the application from that location. Note that if the disk drive where PRESS is installed is not the C: drive then the path to the password vault file is as follows:

<disk drive>:\Users\<UserID>\HSS\PRESS\PasswordVault.pvm.

You may also select the drive of your choice from the main screen Drive combo box.

In cases where PRESS is not installed on the PC you ran the PRESS.exe application on you may be prompted if you want to create shortcuts for the application. You don't have to select yes on that popup message box to use the application.

In version 3.1 and later of PRESS, you may also make use of a .pvmkey file to unlock your password vault instead of typing in your master password to login to PRESS. A .pvmkey starter file may be downloaded from http://secure.horvathsoftware.com . We recommend that if you use this feature that you store the .pvmkey file on a separate flash drive than where your vault file is stored to prevent unauthorized access to your password information. Note when you download this .pvmkey file you may rename it but please leave the extension as .pvmkey. When you double click on this .pvmkey file the first time after downloading from http://secure.horvathsoftware.com, you will be prompted to enter your master password which will be added to the .pvmkey file. This .pvmkey file may be shared by your family to store each family member's master password.

This will allow for parents to open their children's password vault files.

For those users that make use of a .pvmkey file and have forgotten their master password, they may recover this master password by including in the .pvmkey filename the keyword RecoverPassword. IE. if you rename the .pvmkey file with the keyword RecoverPassword included in the filename you may recover your master password. When you double click a .pvmkey file that has this keyword in the filename PRESS will copy your master password to the clipboard from there you may paste your master password into any text object within Windows OS to view your master password in clear text.

Below is the main screen for PRESS.

The user interface is organized with a grid as pictured at top of the screen with controls above, below and to the left side of the grid. The text boxes below the grid display and allow you to edit the record currently selected in the grid. The menu button below the grid allows you to select commands for the selected password and in some cases the commands operate on more than one record in the grid. In cases where an command can operate on more than one record or the current record these are listed with keywords Current and All. For example the Randomize option has two selections the Randomize Current and Randomize All options.

The menu options for a specific password record in the data grid can also be accessed by right clicking the mouse on the record selected in the grid. Also note that there are keyboard shortcuts for all of these menu options. A table with all the shortcuts is near the end of this manual.

The last selected option will remain displayed in the menu button label and clicking the menu button will perform that operation. For example if you are deleting records from the data grid using the Delete Record option the button remains until a different option is selected. In that case you can click the Delete Record button for each record you wish to delete. (The record currently selected in the data grid is the next record to be deleted in that case.)

Here's the full list of these menu buttons and their functions:

Login - this button will launch your default web browser with the Web Site URL for the currently selected password record and copy your password to clipboard for you to paste into the login screen of the web site. Note that you can also perform this function by double clicking on a record in the data grid.

Login Current Password - click this when you want to login using the current password for a website.

Login Previous Password - click this when you want to login using the previous password for a website.

Copy Previous Password - click this when you want to copy the previous password to clipboard, but not launch the browser to login. This is sometimes helpful in changing passwords.

Randomize - this button will generate a new random password that is optionally of a random length for the currently selected password record.

Randomize Current - click this when you want to randomize the current password.

Randomize All - this button will generate a new random password for all the password that have reached the max password age you entered for them. All these changes are stored on change history stack and can be undone either individually or by using Undo All.

Update - this button will save changes made to the text boxes for the currently selected password. Each change is stored in a change history stack so that they can be undone if you choose. These changes are stored in the vault file when you close the application so you can undo changes from a previous session.

Undo - this button will undo changes to your password record.

Undo Current - click this button when you want to undo changes for the currently selected password record. Once all the changes have been undone clicking this button has no effect.

Undo All - this button will undo all the password changes where the password age is 0 and there is a change history. Note if you generate all new passwords and wait a day and use PRESS on a different session the Undo All will not undo those changes. You can still undo changes by using the Undo or Undo Current for specific password records.

Delete Record - this button will delete the currently selected record and all of it change history. Warning! This cannot be undone.

History… - this button will display the change history stack for the currently selected password record. The Password History screen that opens when this button is clicked allows you to delete any or all of the history records of your choice.

Learn… - this button will open the Website Learner form that allows you to learn and save identifying information for a website that does not autofill the user id with default settings of this application. For more on this see the section of this manual for Website Learner.

Magnify… - this button will open a popup screen that displays your password in a larger font that is easy to read for manually entering passwords in websites that don't allow pasting passwords from clipboard.

Change Password - this button will launch your default web browser with the Web Site URL for the currently selected password record and play back the Change Password Steps defined on the Website Learner screen for the selected password record. Note that if the macro is set to default or noautofill the password change will not be done. To use this feature you must define a change password macro on the Website Learner screen for each password record in your vault. This is because every website tested with this application has a different method of changing passwords.

The buttons to the left of the grid are listed below:

Chg Pwd… - this button will allow you to change the master password for your password vault file.

Export - this button will allow you to export all your selected records to a .csv file located in your user specific Documents folder. Please use caution in using this button because the file is stored in clear text which would allow prying eyes to see your passwords if they got access to it. So please encrypt this file with another method such as WinZip encryption or delete the file permanently once you are done using it. Note that if you have a filter set with only a subset of your password records displayed only those that are currently displayed will be exported.

Import… - this button will allow you to import records from a .csv file. When you click this button a dialog will appear that allows you to select the .csv file of your choice to import. Note that the file must be in the same format as the export function creates. Any records that are already in your password vault file will be updated and any new records will be inserted. To learn more about the file format required we recommend exporting your password vault file and use Excel to view the .csv created by the export.

Show/Hide - this button will make your passwords visible in clear text on the screen. Note you don't have to show your passwords in order to login or make changes.

Add - this button will add a new password record to the data grid.

Notes about the text boxes for current password record editing:

Min Length: must be integer value from 0 to 4680. Note if this value is equal to or greater than the Max Length value the password length will always be generated to the Min Length value.

Max Length: must be integer value from 0 to 4680. Note if you setup a range such as 11 to 20 the password randomizer will randomly select a password length to use in that range.

Max Password Age: must be integer value from 0 to 2,147,483,647. Note if this value is set to 0 the password will not be aged so it will not be affected by Randomize All button clicks regardless of how old that password record is.

Excluded/Allowed: characters entered into this text box will not be allowed in random passwords generated by PRESS. This is useful for web sites that allow symbols but have restrictions on their use such as not allowing question marks ? Or #. Enter these without any spacing or punctuation.

Allowed instead: this checkbox will change the behavior of the excluded symbols textbox to be allowed symbols. When this checkbox is checked for a password record and the password character selections combo box has an option that includes symbols, only characters entered in this box will be considered for selection of symbols in the password. If for example All is selected in the combo box and you enter allowed of "&*%" (without the quotes and no spaces or other punctuation between symbols). The passwords generated will include at least one of these symbols when a new password is generated. The password will also include digits [0-9], upper case and lower case characters. If this checkbox is checked with an option that does not include symbols the textbox for Allowed will be ignored in password generation. If it is unchecked then the excluded symbols are not included in any password generated regardless of the password character selections combo box options selected.

Password Character Selections: this combo box gives you control of the types of characters selected by the password randomizer. A few examples follow: If Digits is selected from list of options then only 0-9 will be picked for each character in password. If LowerCase is selected then only lower case characters a-z will be picked.

Password: double clicking on this text box will copy the password content to you clipboard for pasting into logins. This is helpful when you are changing passwords on a web site and need to get your newly generated random password or your new password as you entered into the text box manually. Steps to use in password changes are below:

  1. Select the record you want to update a password for in grid.

  2. Either click Randomize or manually enter your new password in the text box.

  3. Click Update button.

  4. Click Login Previous Password button launching browser with your Web Site URL.

  5. Enter your login information on the login page and paste password from clipboard (this is your previous password).

  6. Navigate to the change password page on web site and paste your old password in appropriate field.

  7. Double click on the Password text box below grid for current password and paste the clipboard into the new password field and the repeat password field.

  8. Click the button on web site in browser to save your new password. The next time you login to this web site you can use the Login button which will copy your new password to clipboard.

The controls above the grid allow you to enable controls to use a screen reader, filter the data in the grid, select the diskdrive you want your password vault stored on, select an inactivity lock timeout period, select browser to use on logins and disable the warning popup message boxes. The Use reader check box when checked enables controls that are not by default enabled for users that don't use a screen reader. These are enabled to be part of tab sequence for use with a screen reader.

The Filter ( [image] ) text box accepts text that is used to filter the data in the grid for the selected column in the combo box to the right of the text box. When None is selected all your password records are listed. If a date column or numeric column is selected in this combo box and the text in the Filter text box is non-numeric all of your records are listed. If the Filter text box is empty all of your password records are listed. Double clicking on the Filter text box will clear the text.

The Drive combo box allows you to select the disk drive that you want your password vault file stored on. Note that if you change this then the previous location where you stored your password vault will still have that copy of the vault file. Any changes that you make will not update the original password vault file. You may delete this file and the folder containing it. If you later change back to the original drive any changes that you may have made will then overwrite the old password vault file if it is still present on your PC. If a password vault file already exists at the new location it will be backed up to that location with date timestamp and .bak extension appended to the end of the file name.

The Inactivity Lock combo box allows you to set an inactivity timer that will lock the PRESS application if no interaction with PRESS has been detected for the time period selected. Never will disable the inactivity timer.

The Browser combo box allows you to select the browser that is launched on login button presses. The SystemDefault selection uses your default browser selected in the operating system settings. The InternetExplorer selection uses the Internet Explorer browser and will auto fill your user id when you click the Login, Login Current Password or Login Previous Password buttons your password is copied to clipboard. In version 3.1 of PRESS you may now select from these options as well; Chrome, FireFox, and Edge. These browsers will support both login macros and change password macros. Note that in some cases a website may not work with certain browsers so if you encounter this problem please try a different browser. You may optionally define a login macro that will perform the complete login process for each website you choose by using the Website Learner screen. The Change Password button will login to the website for current password record and automatically change your password on the website. The Disable warnings check box allows you to disable warning messages for the buttons that by default prompt you with a warning message box.

Note that the settings affected by the controls above the grid are saved and retrieved for the next session.

Note that the grid can be sorted by any of the visible columns. Following each column heading is a glyph that indicates the sort order ascending/descending. This glyph is displayed on the column that the grid is currently sorted on. The sort order effects the order of the records in the .csv file created by Export button.


System requirements

Getting Started ››

If you are viewing this help from PRESS v4.1 application then congratulations your PC meets the requirement to run PRESS!

PRESS has been tested to be compatible with Microsoft Windows 7 and later.


Getting help

Getting Started ››

It is our goal that PRESS be easy to use and not require much help in using the features of this password manager. If you encounter a problem that you cannot solve using this help documentation then please feel free to contact us for technical support. Our contact information can be found at https://secure.horvathsoftware.com/Home/Contact.


Main Screen

This topic covers the main screen of PRESS in more detail and is broken down into sub-topics that are brief, but give more detail about each control's function in the main screen.


Settings

Main Screen ››

The PRESS main screen has the following settings that are retained for each user of PRESS from session to session of use.

Use reader - this is a check box control that enables features of PRESS that are intended to aid visually impaired users who use a screen reader such as Freedom Scientific's JAWS or Windows Narrator.

Filter ( [image] ) - this setting consists of two controls a text box that allows search text to be entered and a combo box with dropdown list of fields that can be searched on for filtering the list of password records in the grid below the settings. The contents of the filter text box may be cleared by either double clicking on the text box or clicking the clear button ("x") found within the text box control. When the filter text box is empty or a numeric field chosen while a non numeric entry all the records in your vault are displayed in the grid. Text fields by default are not case sensitive and the text may appear anywhere in the field to be considered a match. If you prefer a case sensitive search you may click the check box ("Aa") found within the filter text box control. When the check box is checked the text field matches are case sensitive. You may also optionally check the check box ("W") within the filter text box control to match whole words in the password vault fields.

Drive - this combo box setting allows you to select the drive that you want your password vault to be stored on. Note that if you change this then the previous location where you stored your password vault will still have that copy of the vault file. Any changes that you make will not update the original password vault file. You may delete this file and the folder containing it. If you later change back to the original drive any changes that you may have made will then overwrite the old password vault file if it is still present on your PC. If a password vault file already exists at the new location it will be backed up to that location with date timestamp and .bak extension appended to the end of the file name.

Inactivity Lock - this combo box setting allows you to select an inactivity timer value that will lock the PRESS application after the selected duration of inactivity with the user interface. This is intended to keep unauthorized access to your passwords in the event that you leave PRESS unattended for a while. Never selection will disable this timer.

Browser - this combo box setting allows you to select the browser you want to use on any action that launches a browser. (A couple of exceptions to this are when you define a macro with Use Browser as first step and the Buy button on the activate PRESS screen for more on these please see those topics.) Note that if you choose SystemDefault the autofill feature is disabled for any browser not supported by PRESS (ie. any browser that cannot be specifically selected by name for example Safari) so it is generally recommended that you pick one of the available browsers.

Disable warnings - this is a check box control that will disable warning messages for many of the actions that normally will give a warning before proceeding. Example: Delete Record will not warn you before deleting a record if this check box is checked.


Grid View

Main Screen ››

The grid view lists your password vault records in a grid format with the following columns.

ID - this column shows the ID of each record in the password vault. This is a value unique to each password record and is normally in sequence from 1 to number of records in your vault, but may have gaps in this sequence should you delete any records.

Web Site URL - this column shows the web site URL (aka address) for each password record. This value may be duplicate for sites that you maintain more than one account.

User ID - this column shows the user id that you use on the website to login.

Password (with Show) - this column when displayed shows the current password for each password record.

Created Date - this column shows the date that each password record's password was created either by being generated or entered manually. Note this date does not change unless there is a change to the password field of each record this allows our password aging to more accurately calculate the age of each password.

Age - this column shows the age of each password in days.

Strength - this column shows an indication of the strength of the password for each password record and is color coded to warn you at a glance when a password is considered anything less than Strong.

Age Indicator - this column shows an indication of the age of a password and is color coded to let you know at a glance which passwords are Past Due on being updated. These indicator values are calculated based upon a percentage of the max password age so passwords with a shorter max password age will show Very New for fewer days than one with a longer max password age.

The grid view is sortable by each column of the grid. To sort by a column you may click the column heading. A glyph indicating the sort order of either ascending or descending lets you know what column the grid is sorted on.

The grid view has a context menu that is displayed when you right click the mouse on any record in the grid. The menu action selected in this menu will act upon the selected row of the grid.

You may also double click a row in the grid to login to a website.

Pressing the Space bar on your keyboard when focus is on the grid will cause the input focus to be set to the Web Site URL password edit field below the grid view.

Alt+G will set focus the grid view and the arrow keys allow you the move up and down through the list of password records.

When there is a filter set in the setting the grid view will display a subset of your records in your password vault. The record count is displayed in the status bar at the bottom of the PRESS main screen.


Menu Options

Main Screen ››

Below is a list of all the menu options on the main screen of PRESS.

  1. Login Current Password
  2. Login Previous Password
  3. Copy Previous Password
  4. Randomize Current
  5. Randomize All
  6. Update
  7. Undo Current
  8. Undo All
  9. Delete Record
  10. History...
  11. Learn...
  12. Magnify...
  13. Change Password
  14. About...

The last selected menu option is displayed on the menu button control whenever a menu option is selected using this button.

All of the menu options except for About... are available in both the menu button control found just below the grid view and in the context menu for the grid view that is activated by right clicking the mouse while focus is on a record in the grid view. The About... menu option is only available in the menu button control.


Login Current Password

Main Screen ›› Menu Options ››

The Login Current Password menu option will launch the selected browser (or Use Browser selected browser if the selected password record's login macro begins with Use Browser action). If the selected browser is supported by PRESS the login macro for the selected password record will be played back to autofill the form and potentially complete the entire login process.

When this menu option is executed the selected password record's current password is copied to the clipboard. This is helpful in cases where the login macro has either Default or NoAutoFill selected as the first step action.

For Default, the browser is launched and the user id or user name field is autofilled using the Website User ID for the selected password record. You may then paste the password into the appropriate field on the website and complete your login manually.

For NoAutoFill, the browser is launched and nothing else is automatically done for the website. You will have to manually complete the login process. Your current password is still in the clipboard so you can manually paste it into the appropriate field on the website.

In cases where a login macro has steps to complete the entire login process the login will be fully automated. It is our hope that you will make use of this feature and we are working to make automation of login easier by building up a library of macros for websites we encounter ourselves and should you want to contribute to the effort, those you send us. For more on this see the Website Learner topics on this.


Login Previous Password

Main Screen ›› Menu Options ››

The Login Previous Password menu option will launch the selected browser (or Use Browser selected browser if the selected password record's login macro begins with Use Browser action). If the selected browser is supported by PRESS the login macro for the selected password record will be played back to autofill the form and potentially complete the entire login process.

When this menu option is executed the selected password record's previous password is copied to the clipboard. This is helpful in cases where the login macro has either Default or NoAutoFill selected as the first step action.

For Default, the browser is launched and the user id or user name field is autofilled using the Website User ID for the selected password record. You may then paste the previous password into the appropriate field on the website and complete your login manually.

For NoAutoFill, the browser is launched and nothing else is automatically done for the website. You will have to manually complete the login process. Your previous password is still in the clipboard so you can manually paste it into the appropriate field on the website.

In cases where a login macro has steps to complete the entire login process the login will be fully automated. It is our hope that you will make use of this feature and we are working to make automation of login easier by building up a library of macros for websites we encounter ourselves and should you want to contribute to the effort, those you send us. For more on this see the Website Learner topics on this.


Copy Previous Password

Main Screen ›› Menu Options ››

When the Copy Previous Password menu option is executed the selected password record's previous password is copied to the clipboard.


Randomize Current

Main Screen ›› Menu Options ››

When the Randomize Current menu option is executed a new random password is generated for the selected password record. The password generator uses some of the controls below the grid view as parameters controlling the random selection of a password. For example the Password Character Selections combo box determines what set of characters to choose from for each character of the new password. For more on these parameters see the topics on Password Edit Fields.


Randomize All

Main Screen ›› Menu Options ››

When the Randomize All menu option is executed a new random password is generated for all the password records with password Age Indicator of Past Due. The password generator uses some of the controls below the grid view as parameters controlling the random selection of a password. For example the Password Character Selections combo box determines what set of characters to choose from for each character of the new password. For more on these parameters see the topics on Password Edit Fields.


Update

Main Screen ›› Menu Options ››

When the Update menu option is executed and there are any changes to the selected password record these changes are saved to the password vault and a new password history record is added to the list of changes to the record.

Updates are done automatically for you should you make changes to a password record and then select a different password record.


Undo Current

Main Screen ›› Menu Options ››

When the Undo Current menu option is executed the last committed change to the selected password record is undone and one record removed from the password history for the selected password record. If all the changes have been undone already then nothing is done when the menu option is executed. A special case of the undo menu action is when there are uncommitted changes to the selected password record those changes are discarded with no effect on the password history. There is no redo function in PRESS so use a little caution using the undo to prevent loss of a password that replaces an older one in the password history. The entire history for a password record is maintained by PRESS. We recommend occasionally deleting the older history records using the Password History screen.


Undo All

Main Screen ›› Menu Options ››

When the Undo All menu option is executed all the committed password changes where the password age is 0 and there is a change history are undone. This is helpful when you generate all new passwords for your Past Due password using the Randomize All menu option and change your mind to keep the old passwords for a little longer. Note that because the password age must be 0 for this menu option if you wait a day later after generating all your new passwords Undo All will not undo those changes. You can still undo changes to each individual password record using the Undo Current menu option.


Delete Record

Main Screen ›› Menu Options ››

When the Delete Record menu option is executed the selected password record is permanently deleted along with all its change history. Warning! This cannot be undone.


History...

Main Screen ›› Menu Options ››

When the History... menu option is executed the Password History Screen is displayed.


Learn...

Main Screen ›› Menu Options ››

When the Learn... menu option is executed the Website Learner Screen is displayed.


Magnify...

Main Screen ›› Menu Options ››

When the Magnify... menu option is executed the Magnify Password Screen is displayed.


Change Password

Main Screen ›› Menu Options ››

When the Change Password menu option is executed the system launches the web browser selected similarly to how the login menu options work and the Change Password macro is played back for the selected password record to complete a password change. To use this feature you must define a Change Password macro on the Website Learner Screen for the selected password record. This is because every website tested with this application has a different method of changing passwords.

We are working to build up the library of Change Password macros to make life easier when it comes to changing passwords on the websites you use. Please feel free to contribute to this effort by sending us your library updates. For more on this please see the topics on Website Learner.


About...

Main Screen ›› Menu Options ››

When the About... menu option is executed the About Screen is displayed.


Password Edit Fields

Main Screen ››

Below is a list of all the Password Edit Fields found below the grid view on the PRESS main screen.

  1. Web Site URL
  2. Comments
  3. Web Site User ID
  4. Min Length
  5. Max Length
  6. Excluded/Allowed
  7. Allowed instead
  8. Password
  9. Max Password Age
  10. Prev Password
  11. Password Character Selections

These fields allow you to edit the grid view's selected password record. Some of these are used as parameters controlling the password generator's selection of random passwords. The fields' behavior are detailed in the topics on the individual fields.

When a change is made to any or all of these fields that has not been committed by an Update command the changes are committed when a different password record is selected in the grid view. (Or you can discard the changes without ever having committed them using the Undo Current command.)


Web Site URL

Main Screen ›› Password Edit Fields ››

The Web Site URL field is the web address to be used for both Login and Change Password menu options. We recommend that you use the address for the login page if possible to simplify your macros so that they don't have to have any steps to navigate to the login page. In some cases this is not possible, but you should be able to record the steps necessary to navigate to the login page in those instances.


Comments

Main Screen ›› Password Edit Fields ››

The Comments field stores any text comments about the password record you choose. It may be helpful in storing account information or other information to help you with use of that particular website.


Web Site User ID

Main Screen ›› Password Edit Fields ››

The Web Site User ID field contains your user id for the selected password record's website. The contents of the field are what is sent to the browser in your macros for Send Username.


Min Length

Main Screen ›› Password Edit Fields ››

The Min Length field allows you to configure each password record's minimum length of password to generate on a Randomize command. This field must be set to an integer value from 0 to 4680. If this value is equal to or greater than the Max Length field value the password length will always be generated to the Min Length value.


Max Length

Main Screen ›› Password Edit Fields ››

The Max Length field allows you to configure each password record's maximum length of password to generate on a Randomize command. This field must be set to an integer value from 0 to 4680. This field when used with the Min Length field specifies the range of lengths the password generator will randomly select from when generating a new password.


Excluded/Allowed

Main Screen ›› Password Edit Fields ››

The Excluded/Allowed field allows you specify characters that are excluded or allowed when selecting symbols (used with any of the Password Character Selections options that include symbols). This is useful for websites that allow symbols but have restrictions on their use such as not allowing question marks ? Or #. Enter these characters without any spacing or punctuation in this field.


Allowed instead

Main Screen ›› Password Edit Fields ››

The Allowed instead check box will change the behavior of the excluded symbols field to be allowed symbols. When this check box is checked for a password record and the Password Character Selections combo box has an option that includes symbols, only characters entered in this field will be considered for selection of symbols in the password. If for example All is selected in the combo box and you enter allowed of &*% the passwords generated will include at least one of these symbols when a new password is generated. The password will also include digits [0-9], upper case and lower case characters. If this checkbox is checked with an option that does not include symbols the field for Allowed will be ignored in password generation. If it is unchecked then the excluded symbols are not included in any password generated regardless of the Password Character Selections combo box options selected.


Password

Main Screen ›› Password Edit Fields ››

The Password field contains the selected password record's current password. This may be manually updated or can be randomly generated using the Randomize command. Normally this field does not display the password in text, but the Show button will reveal the password in this field when it is clicked. The contents of this field can be copied to the clipboard by double clicking the field or by clicking the copy to clipboard button it contains.


Max Password Age

Main Screen ›› Password Edit Fields ››

The Max Password Age field must be an integer value from 0 to 2,147,483,647. If this value is set to 0 the password will not be aged so it will not be affected by the Randomize All command regardless of how old that password record is.


Prev Password

Main Screen ›› Password Edit Fields ››

The Prev Password field is not editable but does contain the selected password record's previous password value. This field becomes tab stop enabled only when Use reader check box is checked. This contents of this field are only displayed as text when the Show button is clicked. The contents of this field can be copied to the clipboard by clicking the copy to clipboard button it contains.


Password Character Selections

Main Screen ›› Password Edit Fields ››

The Password Character Selections combo box gives you control of the types of characters selected by the password generator. A few examples follow: If Digits is selected from list of options then only 0-9 will be picked for each character in password. If LowerCase is selected then only lower case characters a-z will be picked.


Buttons

Main Screen ››

The buttons to the left of the grid are listed below.

  1. Chg Pwd...
  2. Export
  3. Import...
  4. Show/Hide
  5. Add

The actions these buttons take on button click are detailed in the topics for each of them in this section of the help documentation.


Chg Pwd...

Main Screen ›› Buttons ››

When the Chg Pwd... button is clicked a pop up dialog is displayed that will allow you to change your master password for the password vault. You must enter your correct current password to change to a new password and the new password must meet minimum complexity requirements. Changes made here will also update your .pvmkey file if you used one to access your password vault when you started your session with PRESS. As always, be sure to save this new password in a safe place because if you lose it you will not be able to access your vault without it and there is no recovery process for these passwords.


Export

Main Screen ›› Buttons ››

When the Export button is clicked all your selected password records will be exported to a .csv file located in your user specific Documents folder. Please use caution in using this button because the file is stored in clear text which would allow prying eyes to see your passwords if they go access to it. So please encrypt this file with another method such as WinZip encryption or delete the file permanently once you are done using it. Note that if you have a filter set with only a subset of your password records displayed only those that are currently displayed will be exported.


Import...

Main Screen ›› Buttons ››

The Import... button when clicked will allow you to import records from a .csv file. A dialog is displayed that allows you to select the .csv file of your choice to import. Note that this file must be in the same format as the export function creates. Any records that are already in your password vault file will be updated and any new records will be inserted. To learn more about the file format required we recommend exporting your password vault file and use Excel to view the .csv created by the export.

This button is disabled in the free version of PRESS. Please activate PRESS to unlock this feature. For more on this see the PRESS Activation topic in this documentation.


Show/Hide

Main Screen ›› Buttons ››

The Show/Hide button will make your passwords visible in clear text on the screen. Note you don't have to show your passwords in order to login or make changes.


Add

Main Screen ›› Buttons ››

The Add button will add a new password record to your password vault.

The free version of PRESS is limited to three password records. Please activate PRESS to allow unlimited password records in your vault. Please see the topic on PRESS Activation for more on this.


Password History Screen

Like the main screen the Password History screen has a grid view with buttons to the left of it and controls below the grid that show the currently selected history record information. The menu button works the same as the main screen.

Here's a full list of the menu options on this screen with their functions.

  1. Login - this menu option will launch your default web browser with the Web Site URL for the currently selected password record and copy your password to the clipboard for you to paste into the login screen of the website. Note you can also perform this function by double clicking on a record in the grid. Also, like the main screen any macros defined behave in the same way as they do on the main screen. Your Login macro allows for fully automated login. The Change Password macro is not accessible from this screen.
  2. Delete Record - this menu option will delete the currently selected history record.
  3. Delete Current Record - this menu option will delete the currently selected history record.
  4. Delete Oldest Record - this menu option will delete the oldest history record in the list.
  5. Delete All Records - this menu option will delete all the history records for the current password selected on the main screen.
  6. Magnify... - this menu option will open a pop up screen that displays your password in a larger font that is easy to read for manually entering passwords in websites that don't allow pasting passwords from clipboard.

The buttons to the left of the grid are listed below.

  1. Close - this button closes the Password History screen.
  2. Show/Hide - this button will make your passwords visible in clear text on the screen. Note you don't have to show your passwords in order to login.


Magnify Password Screen

PRESS includes a Magnifier pop up feature to view passwords in a larger font. This is helpful when you have to manually type in a password to a website that does not allow pasting passwords from the clipboard. You can choose a different font than the default setting. The Magnifier screen displays a password entry assist input box so you can see your password to make sure it matches correctly as you type your password into the website's login page. This entry assist field shows your password as you type it into the login page so please use caution when using this feature to be sure no one is looking over your shoulder to see your password. Once you enter a correct match to your password and press the Enter key the pop up will automatically close.

Below is a screen snapshot of the Font selection dialog that is displayed when the Font... button is clicked.


Website Learner Screen

PRESS includes a Website Learner feature that will allow you to create login and change password macros to automate login and change password. This screen uses built-in browser window to help in identifying controls to act upon in your macros. Below is a screen snapshot of the Website Learner form.

This form can be accessed in one of two ways. For websites that are not supported by the Default macro when the autofill fails it will load this form or you can always access the form using the Learn… button on the main page of PRESS.

The browser display on this form displays the website for the current password record. You may navigate in the browser by clicking controls on the web page displayed or by entering a URL in the address bar and clicking the Go button to the right of the address bar. You should navigate to the page that has login information controls for logging into the website. Once you are on page where the username and password fields are displayed you can click the Generate button to scan the page and extract identifying information that is used in a script that is generated and displayed if both the username and password were identified. If either of them are not found a pop up message box will be displayed that will give you option of attempting to navigate to a page that will have the fields needed to login.

This pop up has three buttons Yes, No, and Cancel. If you answer yes then any identifying information that was found is saved and any missing information can be added by clicking Generate a second time after navigating to the page with the missing information. This is helpful for logins where the username and password are on different pages. Once all the information is found the Website Learner Advanced screen will display the generated script. You may discard this script by clicking Cancel button on the editor screen.

If you answer no on the pop up message a NoAutofill script is generated and displayed which you may choose to discard if you would rather inspect the controls and add your own identifying information for the fields manually. (The browser included in PRESS will allow you to right click on a control and select Inspect to view the HTML and pick out identifying information to use in your script.)

If you click cancel on the pop up message the identifying information is discarded and no script is generated and displayed.

The Edit button will open Website Learner Advanced screen to the script that was last saved for the current password record.

The Update Library button will add or replace the macro for the current password record to the macro library. We hope you will use this feature to make your scripts easy to retrieve for future password records added to your vault. Please share your macro library with us so we can add any macros you develop to the library that is included in installation of PRESS. Note: when you update PRESS with a new version be sure to add your specialized macros to the library again unless you were kind enough to send us your contributions and we have added them to the library that comes in the install package. Also, don't worry about the library causing you to lose your macros because they are retained in the password vault along with change history for the password records so you can simply click the Learn menu option on the main screen. A pop up will let you know if your macro differs from the library and ask you if you want to replace your macro with ours in the library. You can choose no here to continue to the website learner screen where you can update the library with your macro.

If you want to share any macros that you have created in your library we recommend sending us the macro library file (usually C:\Program Files (x86)\HSS\PRESS\PRESS_MacroLibrary.txt). The macro library stores only compiled Json macros; therefore, your script edits will be lost if you choose to use a macro from the library. (Your script edits are retained in the password vault so all your script comments and formatting of your script are retained unless overwritten by accepting a macro from the library.)

As a service to other users of PRESS please send us any updates you have made to the macro library file so they may be added to our install package for the next update to PRESS. (These may be emailed to: PRESS Macro Library Updates.)

Note that the previous version of your script is saved in the change history stack so when the Undo button is pressed on the main screen will revert back to that setting.

Once you are done with your changes click the Close button to return to the PRESS main screen.

The Advanced mode of learning allows you to edit your macros to your liking. Note that actions like SendUserName, SendPassword, SendPreviousPassword, and Click operate on a website control identified by the StepIdInfo parameter which appears immediately after these commands in your script as quoted text. To find what identifying information you wish to be used you may open the website in a browser such as Internet Explorer and use the Inspect Element feature of the browser to look up identifying information such as id, name, href, etc… Note if the control cannot be identified with just one attribute you may use a list of attributes. For example, "id=UserId,name=UserName". The list is comma delimited and no quotes are needed for the attributes' values. Also note in the case of an href attribute that may need to have the = sign embedded in the link's reference PRESS will concatenate all the text following the first = sign after the keyword href.

Once you are done with your changes to your script. You may update the system by clicking the Save button. If there are any problems with the script you have entered you will be notified in the output textbox directly below the main editor textbox. You may choose to continue editing to correct the script or discard your changes and return to Basic Mode by clicking Cancel.

The Save button will display the Website Learner browser once more.

Here's a screen snapshot of the Advanced editor screen.


PRESS Activation

PRESS v4.1 is free for download and evaluation use with restrictions on the Import function, a three password record limit on password vault and Get Update function. To unlock these features for fully functional PRESS please purchase an activation key from our website at Purchase Activation Key .

To make activation of PRESS easier we suggest you use the Buy button on the PRESS Activation pop up screen. This screen can be reached in PRESS from the main screen by either attempting to Import or Add a fourth password record. The PRESS Activation pop up can also be accessed from the About screen by clicking the Activate button. When you click the Buy button on the PRESS Activation pop up, a browser is launched that opens to the Buy page on our website. Once you have completed the payment transaction, a page is displayed that when detected by PRESS will autofill the PRESS Activation pop up fields with your information. Note the information on that page is also emailed to your email address. We ask that you keep this email for future reference in case you need to reactivate your copy of PRESS. (Note that if you lose the email you can always go back to our website and get your key without further cost to you. We only suggest you keep the email as a matter of convenience to you.) You may use the PRESS activation key you purchase from us on any PC on your network that appears to our web server as being the same IP Address you used when you signed up to download PRESS originally. (For most users on home network the IP Address will be the same as your gateway to the Internet from your home network router. For businesses or other applications where each machine appears with its own IP Address we ask that you purchase an activation key for each PC you intend to use with PRESS. Thank you!)


Update PRESS

For users who have activated PRESS, you may use the About screen to check for updates to PRESS, download and install any future updates to PRESS with no additional cost to you.


Keyboard Shortcuts

Screen | Keystroke | Function
PRESS Main Screen | Alt+P | Chg Pwd...
 | Alt+E | Export
 | Alt+I | Import...
 | Alt+S | Show/Hide
 | Alt+A | Add
 | Alt+G | set focus to grid
 | Ctrl+L | Login Current Password
 | Ctrl+Shift+L | Login Previous Password
 | Alt+Shift+L | Copy Previous Password
 | Ctrl+R | Randomize Current
 | Alt+R | Randomize All
 | Ctrl+S | Update
 | Ctrl+Z | Undo
 | Alt+Z | Undo All
 | Ctrl+D | Delete Record
 | Alt+H | History...
 | Alt+L | Learn...
 | Alt+M | Magnify...
 | Alt+C | Change Password
 | Alt+Shift+A | About...
 | Space | Set focus to Web Site URL (only available when focus is currently on the grid)
Password History Screen | Alt+C | Close
 | Alt+S | Show/Hide
 | Alt+G | Set focus to grid
 | Ctrl+L | Login
 | Ctrl+D | Delete Current Record
 | Ctrl+Shift+D | Delete Oldest Record
 | Alt+Shift+D | Delete All Records
 | Alt+M | Magnify...
 | Space | Set focus to Web Site URL (only available when focus is currently on the grid)
Website Learner | Ctrl-S | Edit
 | Ctrl-Z | Generate
 | Ctrl-Y | Update Library
 | Alt-F4 | Close
 | Ctrl-C | Copy Username to Clipboard
 | Ctrl-P | Copy Password to Clipboard -- Note: will copy previous password if that's the one selected on Generate command
Website Learner Advanced | Ctrl-S | Save
 | Ctrl-Z | Undo
 | Ctrl-Y | Redo
 | F1 | Help
 | Alt-F4 | Cancel
Password Magnifier Screen | Alt+F | Font...
 | Alt+C | Close


StepAction Command Definitions

Below is a table showing the StepAction command definitions.

Step Action Command

Format Example

Notes

@LabelValue@

@ScriptLine1@

This may appear before any line of either Login or Change macro used with the GoTo commands to direct control to the step so labeled.

--

-- Begins a comment and may comment out Step Actions

These may appear anywhere in you script, but comments run to the end of line they appear in so Step Action commands may be commented out.

Url

Url "https://secure.horvathsoftware.com"

This should always appear before the Begin Login. The parameter as pictured in this example is a web address enclosed in quotes.

Begin Login

Begin Login

This should always appear after the Url command and before End and Begin Change.

Begin Change

Begin Change

This should always appear after the End of the Login steps.

End

End

This should appear at the end of list of step actions for both Login and Change macros.

Default

Default

The StepIdInfo ignored for this value. This should always be the first step after the Begin in Login Steps or Change Password Steps. This will cause PRESS to attempt to login or change password using built in identifying information to find the controls needed to enter login or change password information. The hope is that for many websites we will be able to perform login or change password without the need for a custom macro, but we have encountered many variations on the different websites that make it difficult for our default code to work for all of them. That is why we provide all the other step action commands that let you build scripts for login and change passwords.

NoAutoFill

NoAutoFill

The StepIdInfo ignored for this value. This should always be the first step after the Begin in Login Steps or Change Password Steps macro. This will cause PRESS to only launch the system default browser and not attempt to fill in any of the fields needed to login or change password.

Note that your browser selection is ignored, but whatever your system default browser selection in Windows is that is the browser that will be launched. This was necessary because some websites will use a reCaptcha challenge with the automated browser that unfortunately cannot be successfully answered; therefore, prohibits your logging into the website. Our apologies for this limitation of PRESS... we hope to find a better solution in the future for sites that use reCaptcha when they detect an automated browser.

SendUserName

SendUserName "id=Name,name=Username-field"

Uses StepIdInfo which is enclosed in quotes as in the example. Multiple attributes may be entered by separating them with commas as in this example.

SendPassword

SendPassword "id=PasswordField"

Uses StepIdInfo

SendPreviousPassword

SendPreviousPassword "id=PasswordField"

Uses StepIdInfo

SendText

SendText "id=SomefieldId" "Text to send"

Uses StepIdInfo. StepText should be set to a string value in quotes. Example "Text to send".

SendEnter

SendEnter

The StepIdInfo ignored for this value.

SendTab

SendTab

The StepIdInfo ignored for this value.

Click

Click "id=somebuttonorlink"

Uses StepIdInfo

Wait

Wait 1000

The StepIdInfo ignored for this value. Required parameter an integer value > 0. Example: 1000 will wait for 1000 milliseconds (1 second).

WaitUntilExists

WaitUntilExists "id=Name" Continue

Uses StepIdInfo. Will time out by default after 30 seconds if not detected existence of the control waiting for. The time out can be set in a step before this action using SetTimeout. By default the macro will Continue with next step but this may be changed to Abort the macro.

SetTimeout

SetTimeout 60

The StepIdInfo ignored for this value. Required parameter should be set to an integer value > 0 and less than 121. Example: 60 will set time out to 60 seconds.

GoToIfExists

GoToIfExists "id=Name" @LabelValue@

Uses StepIdInfo. The second parameter is a label enclosed in matching @ characters. This label must appear in one of your other steps in your macro. If condition not true then the macro falls through to next step in the macro.

GoToIfNotExists

GoToIfNotExists "id=Name" @LabelValue@

Uses StepIdInfo. The second parameter is a label enclosed in matching @ characters. This label must appear in one of your other steps in your macro. If condition not true then the macro falls through to next step in the macro.

GoTo

GoTo @LabelValue@

The StepIdInfo ignored for this value. The second parameter is a label enclosed in matching @ characters. This label must appear in one of your other steps in your macro. This will unconditionally go to the step preceded with the label value.

UseBrowser

UseBrowser "Edge"

The StepIdInfo ignored for this value. The parameter should be set to browser selection this is case sensitive, Examples: Chrome, FireFox, etc... This must be the first step after Begin of macro or else it will be ignored and the selection on the PRESS main screen will be used. Also if the parameter is not set to a valid setting the selection on the PRESS main screen will be used.

UpdateWebConfig

UpdateWebConfig "c:\some\path\to\development,g:\some\path\to\deploy"

The StepIdInfo ignored for this value. The parameter should be set to list at least the web.config edit file path. This path is the directory in your development environment's source code for the web application and must not be encrypted. There is an optional 2nd path that specifies the folder on your network to deploy the updated web.config to. The web.config in your deploy folder may be encrypted because it is overwritten by the edit version of the web.config we also remind you to encrypt your web.config. These paths can be either UNC or DriverLetter: paths ('\\server\path' or 'C:\path').

Navigate

Navigate "https://secure.horvathsoftware.com/blog"

The StepIdInfo ignored for this value. The parameter should be set to a valid website address (URL). The address is validated to make sure it contains a valid domain extension. This step action is useful in Change Password macros for navigating to the page where change password controls are located without the need to click on navigation controls on the website main page once you are logged into the system. Most likely a WaitUntilExists step action should follow this one so that the macro won't attempt to fill in the next fields before the page loads completely.